#JKL Reviews

![banner-772x250](https://cloud.githubusercontent.com/assets/6644259/4505723/85143264-4af9-11e4-899f-2612b4027574.jpg)

* [Plugin Page](http://example.com/)
* [Author Page](http://www.aaronsnowberger.com/)

A simple Reviews plugin to review books, music, movies, products, or online courses with Star Ratings and links out to related sites.

##Description

As an avid reader myself, I wanted a better way to save the best of the best of what I read on my blog. I wanted a way to quickly and easily save book information, my 5-star rating, and external links out to the book and its resources to save for my own future and personal reference.

The primary functionality of this plugin is to store book (or product) information in a Custom Meta Box beneath your Post editor (in the back-end) that will then be displayed in its own "ratings ID card" at the top of your Post (in the front-end). 

Best of all: This plugin allows you to quickly input all the relevant information and links related to your review and have those *consistently* display in the same (responsive) format in your Posts without you ever needing to worry about styling 
or formatting the review boxes yourself. This allows you to spend more time writing the review itself and less time worrying about the display of your review.

In short: This plugin makes writing reviews fun and simple as the styling is all 
taken care of for you.

Requires WordPress 3.5 and PHP 5.

###Special Features
* Multiple Review Types supported
* [FontAwesome](http://fortawesome.github.io/Font-Awesome/) icons
* 8 color choices for the box header 
* Light and Dark display box styles
* Range slider to select your rating
* Uses WordPress's native Image Chooser to add a Cover Image
* Responsive design (front-end and back-end)
* Affiliate link support
* WordPress Options page
* Ability to enable or disable Affiliate link disclaimer on WP Options page
* Ability to enable or disable Affiliate link disclaimer on individual Posts after enabling that functionality in WP Options

###Information Stored by the Plugin 
* The Title
* Author name
* Cover image
* Category
* Book Series
* Star-rating
* Summary
* External links
 * Affiliate/Product purchase link
 * The Book's homepage
 * The author's homepage
 * The book resources page 

###Reviews Types supported 
* Book
* Audio
* Video
* Course
* Product
* Service
* Other

###Planned Upcoming Features
* Custom Post Type
* Custom Taxonomy
* Shortcode
* Ability to link between Categories (like WP Tags)
* Ability to display all of a certain Review Type (like WP Categories)
* Parameters `big` and `small` to change the display box features
* Override (optional) the Post Featured Image with the Cover Image you choose
* Overlay Star-ratings over the Featured Image on index pages
* CSS animations
* Dropdown menu to select different icons for external links or Review Type
* Translations
* (More ideas? Let me know!)

###Translations
* English (EN) - default
* Korean (KO) - upcoming

If you want to help translate the plugin into your language, please have a look at the `.pot` file which contains all definitions and may be used with a [gettext] editor.

If you have created your own language pack, or have an update of an existing one, you can send your [gettext .po or .mo file] to me so that I can bundle it in the plugin.


##Documentation & Support
Full documentation of the Plugin and its uses can (currently) be found at its [WordPress.org Plugin location](https://wordpress.org/plugins/jkl-reviews/faq/)

###Screenshots
1. View of the meta box in the WordPress back-end (below the Post editor)
![screenshot-1](https://cloud.githubusercontent.com/assets/6644259/4514616/ee23f930-4b7e-11e4-87bc-ca3359feffc3.png)

2. View of the Review box in the WordPress front-end (display of the meta data)
![screenshot-2](https://cloud.githubusercontent.com/assets/6644259/4516768/a54917a2-4c07-11e4-9c15-17e7ebdc5b68.png)

3. View of the responsive Review box (font sizes will differ based on your theme, but the layout will be the same)
![screenshot-3](https://cloud.githubusercontent.com/assets/6644259/4516776/135d3264-4c08-11e4-87d5-5b7587865ed2.png)

###Contact Me
If you have questions about, problems with, or suggestions for improving this plugin, please let me know at the [WordPress.org support forums](http://wordpress.org/support/plugin/jkl-reviews)

Want updates about my other WordPress plugins, themes, or tutorials? Follow me [@jekkilekki](http://twitter.com/jekkilekki)

##Acknowledgements 
###This plugin uses:
* [jQuery](http://jquery.com/) licensed under MIT License or GNU General Public License (GPL) Version 2
* [FontAwesome](http://fortawesome.github.io/Font-Awesome/) licensed under SIL OFL 1.1; Code licensed under MIT License
* [Material Connection Disclosures](http://michaelhyatt.com/five-ways-to-comply-with-the-new-ftc-guidelines-for-bloggers.html) 
as found on Michael Hyatt's website and in compliance with FTC Guidelines

##License
This program is free software; you can redistribute it and/or modify it under the terms 
of the GNU General Public License as published by the Free Software Foundation; either 
version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY 
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A 
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this 
program; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth 
Floor, Boston, MA 02110-1301 USA

##Changelog

###1.2
* Added WP Options page
* Made Material Connection Disclosures box optional with a checkbox
* Added a Dark box style
* Added 8 different header color choices based on colors in the JKL Reviews Icon
* Added an attribution link at the bottom-right of the plugin

###1.1
* Added Material Connection Disclosures to comply with FTC regulations for affiliate links and the like

###1.0
* Initial release
